| AI Engine Intrinsics User Guide (AIE) v2025.2

Loading...
Searching...
No Matches
Updates with memory load
Intrinsics » Vector Conversions

Load Values from memory and update successive vector lanes. More...

## Overview

Load Values from memory and update successive vector lanes.

## Load 128-bit from memory and update into 1024-bit vector
Update the successive 128-bit lanes in a 1024-bit vector.
v128int8 | upd_v_load (v128int8 buf, int idx, const v16int8 *const ptr)
v128uint8 | upd_v_load (v128uint8 buf, int idx, const v16uint8 *const ptr)
v64int16 | upd_v_load (v64int16 buf, int idx, const v8int16 *const ptr)
v32cint16 | upd_v_load (v32cint16 buf, int idx, const v4cint16 *const ptr)
v32int32 | upd_v_load (v32int32 buf, int idx, const v4int32 *const ptr)
v16cint32 | upd_v_load (v16cint32 buf, int idx, const v2cint32 *const ptr)
v32float | upd_v_load (v32float buf, int idx, const v4float *const ptr)
v16cfloat | upd_v_load (v16cfloat buf, int idx, const v2cfloat *const ptr)

## Load 256-bit from memory and update into 1024-bit vector
Update the successive 256-bit lanes in a 1024-bit vector.
v128int8 | upd_w_load (v128int8 buf, int idx, const v32int8 *const ptr)
v128uint8 | upd_w_load (v128uint8 buf, int idx, const v32uint8 *const ptr)
v64int16 | upd_w_load (v64int16 buf, int idx, const v16int16 *const ptr)
v32cint16 | upd_w_load (v32cint16 buf, int idx, const v8cint16 *const ptr)
v32int32 | upd_w_load (v32int32 buf, int idx, const v8int32 *const ptr)
v16cint32 | upd_w_load (v16cint32 buf, int idx, const v4cint32 *const ptr)
v32float | upd_w_load (v32float buf, int idx, const v8float *const ptr)
v16cfloat | upd_w_load (v16cfloat buf, int idx, const v4cfloat *const ptr)

## Function Documentation

## ◆ upd_v_load() [1/8]

v128int8 upd_v_load | ( | v128int8 | buf,
|  | int | idx,
|  | const v16int8 *const | ptr
| ) |  |

## ◆ upd_v_load() [2/8]

v128uint8 upd_v_load | ( | v128uint8 | buf,
|  | int | idx,
|  | const v16uint8 *const | ptr
| ) |  |

## ◆ upd_v_load() [3/8]

v16cfloat upd_v_load | ( | v16cfloat | buf,
|  | int | idx,
|  | const v2cfloat *const | ptr
| ) |  |

## ◆ upd_v_load() [4/8]

v16cint32 upd_v_load | ( | v16cint32 | buf,
|  | int | idx,
|  | const v2cint32 *const | ptr
| ) |  |

## ◆ upd_v_load() [5/8]

v32cint16 upd_v_load | ( | v32cint16 | buf,
|  | int | idx,
|  | const v4cint16 *const | ptr
| ) |  |

## ◆ upd_v_load() [6/8]

v32float upd_v_load | ( | v32float | buf,
|  | int | idx,
|  | const v4float *const | ptr
| ) |  |

## ◆ upd_v_load() [7/8]

v32int32 upd_v_load | ( | v32int32 | buf,
|  | int | idx,
|  | const v4int32 *const | ptr
| ) |  |

## ◆ upd_v_load() [8/8]

v64int16 upd_v_load | ( | v64int16 | buf,
|  | int | idx,
|  | const v8int16 *const | ptr
| ) |  |

## ◆ upd_w_load() [1/8]

v128int8 upd_w_load | ( | v128int8 | buf,
|  | int | idx,
|  | const v32int8 *const | ptr
| ) |  |

## ◆ upd_w_load() [2/8]

v128uint8 upd_w_load | ( | v128uint8 | buf,
|  | int | idx,
|  | const v32uint8 *const | ptr
| ) |  |

## ◆ upd_w_load() [3/8]

v16cfloat upd_w_load | ( | v16cfloat | buf,
|  | int | idx,
|  | const v4cfloat *const | ptr
| ) |  |

## ◆ upd_w_load() [4/8]

v16cint32 upd_w_load | ( | v16cint32 | buf,
|  | int | idx,
|  | const v4cint32 *const | ptr
| ) |  |

## ◆ upd_w_load() [5/8]

v32cint16 upd_w_load | ( | v32cint16 | buf,
|  | int | idx,
|  | const v8cint16 *const | ptr
| ) |  |

## ◆ upd_w_load() [6/8]

v32float upd_w_load | ( | v32float | buf,
|  | int | idx,
|  | const v8float *const | ptr
| ) |  |

## ◆ upd_w_load() [7/8]

v32int32 upd_w_load | ( | v32int32 | buf,
|  | int | idx,
|  | const v8int32 *const | ptr
| ) |  |

## ◆ upd_w_load() [8/8]

v64int16 upd_w_load | ( | v64int16 | buf,
|  | int | idx,
|  | const v16int16 *const | ptr
| ) |  |